For the complete documentation index, see llms.txt. This page is also available as Markdown.

Alerts

Returns a list of alerts for the device. This endpoint returns paged results of up to 1,000 records per response, using the X-CONTINUATIONTOKEN header. When the response includes this token, it indicates that additional records are available. To retrieve the next set of results, include the X-CONTINUATIONTOKEN token from the previous response header in the header of your subsequent request. This process can be repeated until no further continuation token is provided, indicating that you have reached the end of the dataset.

get
Path parameters
tenantVarCodestringRequired

Tenant Var Code

deviceIdstringRequired

Device Id

Query parameters
fromstring · date-timeOptional

From Date

tostring · date-timeOptional

To Date

Responses
200

OK

AlertStatestring · enumOptionalPossible values:
EventNotificationNamestring · nullableOptional

Name of event notification that created this alert

EventNotificationTextstring · nullableOptional

Text of event notification that created this alert

EventNotificationReasonstring · nullableOptional

Description of events that trigerred this alert

Severitystring · nullableOptional

Severity as set in event notification

Latitudenumber · double · nullableOptional

Latitude in case alert was triggered by MO message with valid position

Longitudenumber · double · nullableOptional

Longitude in case alert was triggered by MO message with valid position

GpsTimestampstring · date-time · nullableOptional

Position fix timestamp in case alert was triggered by MO message with valid position

Timestampstring · date-timeOptional

Alert timestamp

AlertTimestring · date-timeOptional

Alert Time

get/V2/{tenantVarCode}/devices/{deviceId}/alerts
GET /V2/{tenantVarCode}/devices/{deviceId}/alerts HTTP/1.1
Accept: */*
200

OK

[
  {
    "AlertState": "New",
    "EventNotificationName": "text",
    "EventNotificationText": "text",
    "EventNotificationReason": "text",
    "Severity": "text",
    "Latitude": 1,
    "Longitude": 1,
    "GpsTimestamp": "2026-01-01T00:00:00.000Z",
    "Timestamp": "2026-01-01T00:00:00.000Z",
    "AlertTime": "2026-01-01T00:00:00.000Z"
  }
]

Last updated